summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov2018-07-10 11:06:17 +0200
committer David Spencer2018-07-10 11:07:47 +0200
commitc5710a1ef12ae9417e5f08a752df336c406299a7 (patch)
tree4ded0bc31a853c221e895c1e00b8ac151c4a5f00 /academic
parent646d20b456381637ac2bafc3f38b2e7aa5337ad9 (diff)
downloadslackbuilds-c5710a1ef12ae9417e5f08a752df336c406299a7.tar.gz
academic/treeviewx: Added (Program to display phylogenetic trees).
Renamed from academic/treeview, to avoid confusion with a different package also named Treeview. Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/treeviewx/README23
-rw-r--r--academic/treeviewx/References3
-rw-r--r--academic/treeviewx/cstring.patch71
-rw-r--r--academic/treeviewx/doinst.sh3
-rw-r--r--academic/treeviewx/slack-desc19
-rw-r--r--academic/treeviewx/treeviewx.SlackBuild113
-rw-r--r--academic/treeviewx/treeviewx.desktop8
-rw-r--r--academic/treeviewx/treeviewx.info10
-rw-r--r--academic/treeviewx/treeviewx.pngbin0 -> 17326 bytes
9 files changed, 250 insertions, 0 deletions
diff --git a/academic/treeviewx/README b/academic/treeviewx/README
new file mode 100644
index 0000000000..9e1dcb3422
--- /dev/null
+++ b/academic/treeviewx/README
@@ -0,0 +1,23 @@
+Rod Page's TreeView X is a simple program for displaying phylogenies.
+Some of its features include:
+
+- reads many different tree file formats (including NEXUS, PHYLIP,
+ Hennig86, NONA, MEGA, and ClustalW/X)
+- supports standard the TrueType and Postscript fonts
+- supports native graphics file format for copying pictures into
+ other applications, and for saving graphics files
+- print preview
+- can print multiple trees per page and/or one tree over more than
+ one page
+- has drag-and-drop facility for easy opening of files
+- Web-based online help
+- tree editor
+
+Note!
+This program is different from Michael Eisen's TreeView for matrix-
+like display of expression data.
+
+For details and citation:
+Page, R. D. M. 1996. TREEVIEW: An application to display phylogenetic
+trees on personal computers. Computer Applications in the Biosciences
+12: 357-358.
diff --git a/academic/treeviewx/References b/academic/treeviewx/References
new file mode 100644
index 0000000000..4d53820121
--- /dev/null
+++ b/academic/treeviewx/References
@@ -0,0 +1,3 @@
+Page, R. D. M. 1996. TREEVIEW: An application to display phylogenetic
+trees on personal computers. Computer Applications in the Biosciences
+12: 357-358
diff --git a/academic/treeviewx/cstring.patch b/academic/treeviewx/cstring.patch
new file mode 100644
index 0000000000..cae987703f
--- /dev/null
+++ b/academic/treeviewx/cstring.patch
@@ -0,0 +1,71 @@
+--- tv-0.5.1/ncl-2.0/src/charactersblock.cpp.orig 2017-08-13 08:38:11.451581249 +0700
++++ tv-0.5.1/ncl-2.0/src/charactersblock.cpp 2017-08-13 08:38:25.267599533 +0700
+@@ -8,6 +8,7 @@
+ #include "discretematrix.h"
+ #include "assumptionsblock.h"
+ #include "charactersblock.h"
++#include <cstring>
+
+ using namespace std;
+
+--- tv-0.5.1/ncl-2.0/src/nexus.cpp.orig 2017-08-13 08:40:07.443734383 +0700
++++ tv-0.5.1/ncl-2.0/src/nexus.cpp 2017-08-13 08:40:17.625747774 +0700
+@@ -2,6 +2,7 @@
+ #include "xnexus.h"
+ #include "nexustoken.h"
+ #include "nexus.h"
++#include <cstring>
+
+ #define NCL_NAME_AND_VERSION "NCL version 2.01"
+ #define NCL_COPYRIGHT "Copyright (c) 2000 by Paul O. Lewis"
+--- tv-0.5.1/ncl-2.0/src/nexustoken.cpp.orig 2017-08-13 08:41:41.569857692 +0700
++++ tv-0.5.1/ncl-2.0/src/nexustoken.cpp 2017-08-13 08:41:52.463871895 +0700
+@@ -1,6 +1,7 @@
+ #include "nexusdefs.h"
+ #include "xnexus.h"
+ #include "nexustoken.h"
++#include <cstring>
+
+ using namespace std;
+
+--- tv-0.5.1/ncl-2.0/src/nxsstring.cpp.orig 2017-08-13 08:42:36.847929712 +0700
++++ tv-0.5.1/ncl-2.0/src/nxsstring.cpp 2017-08-13 08:42:48.870945321 +0700
+@@ -20,6 +20,7 @@
+ #include <stdio.h>
+ #include <assert.h>
+ #include <math.h>
++#include <cstring>
+ #include "nxsstring.h"
+
+ nxsstring& nxsstring::operator+=( const double d )
+--- tv-0.5.1/TreeLib/Parse.cpp.orig 2017-08-13 08:43:50.188024809 +0700
++++ tv-0.5.1/TreeLib/Parse.cpp 2017-08-13 08:44:00.407038015 +0700
+@@ -23,6 +23,7 @@
+
+ #include <ctype.h>
+ #include "Parse.h"
++#include <cstring>
+
+ // Return the next token in the string
+ tokentype Parser::NextToken ()
+--- tv-0.5.1/TreeLib/TreeLib.cpp.orig 2017-08-13 08:45:24.898146879 +0700
++++ tv-0.5.1/TreeLib/TreeLib.cpp 2017-08-13 08:45:33.518157938 +0700
+@@ -23,6 +23,7 @@
+
+ #include "TreeLib.h"
+ #include "Parse.h"
++#include <cstdlib>
+
+ #include <vector>
+
+--- tv-0.5.1/TreeLib/treereader.cpp.orig 2017-08-13 08:47:09.041280171 +0700
++++ tv-0.5.1/TreeLib/treereader.cpp 2017-08-13 08:51:04.192577614 +0700
+@@ -22,6 +22,8 @@
+ // $Id: treereader.cpp,v 1.5 2003/09/10 12:58:16 rdmp1c Exp $
+
+ #include "treereader.h"
++#include <cstring>
++#include <stdlib.h>
+
+ #if __MWERKS__
+ #include <string.h>
diff --git a/academic/treeviewx/doinst.sh b/academic/treeviewx/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/academic/treeviewx/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/academic/treeviewx/slack-desc b/academic/treeviewx/slack-desc
new file mode 100644
index 0000000000..3d1a87af6b
--- /dev/null
+++ b/academic/treeviewx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+treeviewx: treeviewx (Program to display phylogenetic trees)
+treeviewx:
+treeviewx: TreeView X provides a simple way to view the contents of a NEXUS,
+treeviewx: PHYLIP, Hennig86, Clustal, or other format tree file.
+treeviewx:
+treeviewx: Home: http://code.google.com/p/treeviewx/
+treeviewx:
+treeviewx:
+treeviewx:
+treeviewx:
+treeviewx:
diff --git a/academic/treeviewx/treeviewx.SlackBuild b/academic/treeviewx/treeviewx.SlackBuild
new file mode 100644
index 0000000000..f229fe052f
--- /dev/null
+++ b/academic/treeviewx/treeviewx.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/sh
+
+# Slackware build script for treeviewx
+
+# Renamed to from "treeview" to "treeviewx" in 2018 to avoid confusion
+# with Michael Eisen's TreeView for matrix-like display of expression data.
+
+# Copyright 2011-2018 Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=treeviewx
+SRCNAM=tv
+VERSION=${VERSION:-0.5.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Disable SVG support. If you want it, you should build
+# wxGTK or wxPython including svg from contrib/src/svg
+# Then, of course comment the next line.
+sed "s:USE_SVG=1:USE_SVG=0:" -i configure
+
+patch -p1 < $CWD/cstring.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS -fpermissive" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+cp $CWD/$PRGNAM.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/treeviewx/treeviewx.desktop b/academic/treeviewx/treeviewx.desktop
new file mode 100644
index 0000000000..ab8e3727c3
--- /dev/null
+++ b/academic/treeviewx/treeviewx.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Categories=Education;
+Exec=tv
+Icon=treeviewx
+Name=TreeView X
+StartupNotify=false
+Type=Application
+GenericName=
diff --git a/academic/treeviewx/treeviewx.info b/academic/treeviewx/treeviewx.info
new file mode 100644
index 0000000000..09997ad2b9
--- /dev/null
+++ b/academic/treeviewx/treeviewx.info
@@ -0,0 +1,10 @@
+PRGNAM="treeviewx"
+VERSION="0.5.1"
+HOMEPAGE="http://darwin.zoology.gla.ac.uk/~rpage/treeviewx/"
+DOWNLOAD="http://darwin.zoology.gla.ac.uk/~rpage/treeviewx/download/0.5/tv-0.5.1.tar.gz"
+MD5SUM="07e1ed8873c5f19ded7294668233bae1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="wxPython"
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/academic/treeviewx/treeviewx.png b/academic/treeviewx/treeviewx.png
new file mode 100644
index 0000000000..fbdf9d2fcc
--- /dev/null
+++ b/academic/treeviewx/treeviewx.png
Binary files differ